#
# spec file for quilt - patch management scripts
#

Name:		quilt
Version:	0.68
Release:	%mkrel 2
Summary:	Scripts for working with series of patches
License:	GPLv2
Group:		Development/Other
URL:		https://savannah.nongnu.org/projects/quilt
Source:		https://download.savannah.gnu.org/releases/quilt/%{name}-%{version}.tar.gz
Patch1:		dep3_headers.patch
BuildArch:	noarch
# sendmail-command is needed for testing purpose
BuildRequires:	sendmail-command
BuildRequires:	diffstat
BuildRequires:	procmail
BuildRequires:	gettext
# ed command required for the test suite
BuildRequires:	ed

Requires:	coreutils
Requires:	diffutils
Requires:	patch
Requires:	gzip
Requires:	bzip2
Requires:	perl
Requires:	mktemp
Requires:	diffstat
Requires:	procmail
Requires:	perl(Locale::gettext)

%description
The scripts allow to manage a series of patches by keeping
track of the changes each patch makes. Patches can be
applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts
formerly at http://www.zip.com.au/~akpm/linux/patches/.


%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--with-sendmail=%{_sbindir}/sendmail \
	--with-diffstat=%{_bindir}/diffstat
%make_build

%install
%make_install BUILD_ROOT=%{buildroot}

%{find_lang} %{name}

%check
%__make check

%files -f %{name}.lang
%doc AUTHORS NEWS
%config(noreplace) %{_sysconfdir}/bash_completion.d/quilt
%config(noreplace) %{_sysconfdir}/quilt.quiltrc
%{_bindir}/*
%{_datadir}/emacs/site-lisp/quilt.el
%{_datadir}/%{name}/
%{_mandir}/man1/guards.*
%{_mandir}/man1/quilt.*
%doc %{_datadir}/doc/%{name}/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.68-2.mga10
+ Revision: 2230630
- Mageia 10 Mass Rebuild

* Mon Dec 02 2024 daviddavid <daviddavid> 0.68-1.mga10
+ Revision: 2120617
- new version: 0.68

* Thu Dec 01 2022 danf <danf> 0.67-1.mga9
+ Revision: 1913928
- Update to ver. 0.67

* Mon Mar 21 2022 umeabot <umeabot> 0.66-3.mga9
+ Revision: 1811586
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.66-2.mga8
+ Revision: 1525275
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 12 2019 daviddavid <daviddavid> 0.66-1.mga7
+ Revision: 1389151
- new version: 0.66

* Fri Sep 21 2018 umeabot <umeabot> 0.65-2.mga7
+ Revision: 1290600
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Sep 19 2017 cjw <cjw> 0.65-1.mga7
+ Revision: 1155326
- 0.65
- add a patch from upstream git to fix errors with new perl

* Fri Feb 19 2016 umeabot <umeabot> 0.64-2.mga6
+ Revision: 969617
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 daviddavid <daviddavid> 0.64-1.mga6
+ Revision: 873000
- new version: 0.64
- update file list
- fix owner of data dir

* Wed Oct 15 2014 umeabot <umeabot> 0.63-3.mga5
+ Revision: 743429
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.63-2.mga5
+ Revision: 688582
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 tv <tv> 0.63-1.mga5
+ Revision: 671858
- drop patch
+ pterjan <pterjan>
- 0.63

* Tue Oct 22 2013 umeabot <umeabot> 0.60-5.mga4
+ Revision: 542901
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 danf <danf> 0.60-4.mga4
+ Revision: 498159
- new-find.patch: Fixed build-time portability problem with find and slight
  output difference
- Made gettext a build-time dependency only
- Added perl(Locale::gettext) run-time dependency

* Sun Jan 13 2013 umeabot <umeabot> 0.60-3.mga3
+ Revision: 380114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 rtp <rtp> 0.60-2.mga2
+ Revision: 220963
- Since 0.60, quilt is noarch.
- add dep3 patch to get a dep3 patch header template when creating new header

* Wed Mar 07 2012 dams <dams> 0.60-1.mga2
+ Revision: 220677
- new version 0.60

* Sun Jan 29 2012 fwang <fwang> 0.51-1.mga2
+ Revision: 202865
- update file list
- fix file list
- new version 0.51

* Tue Dec 06 2011 rtp <rtp> 0.50-1.mga2
+ Revision: 177376
- New upstream release (0.50)

* Sun Mar 06 2011 ahmad <ahmad> 0.48-3.mga1
+ Revision: 65163
- add BR ed, required for the test suite
- add a patch from upstream to fix the test suite
- fix the license tag
+ tmb <tmb>
- imported package quilt


* Thu Sep 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.48-1mdv2010.0
+ Revision: 428700
- Update to new version 0.48

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 0.47-1mdv2009.1
+ Revision: 329877
- New upstream release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix leaving not owned directories in docdir
    - remove authors from description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Jérôme Soyer <saispo@mandriva.org> 0.46-1mdv2008.1
+ Revision: 101098
- New release 0.46

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 0.45-2mdv2008.0
+ Revision: 46032
- rebuild on 2008
- fix bug #27931, missing deps on diffstat
- silence %%setup
- Import quilt

* Mon Apr 24 2006 Arnaud Patard <apatard@mandriva.com> 0.45-1mdk
- New version

* Sun Apr  9 2006 Anssi Hannula <anssi@mandriva.org> 0.44-2mdk
- BuildRequires diffstat
- %%mkrel

* Mon Mar  6 2006 Arnaud Patard <apatard@mandriva.com> 0.44-1mdk
- New version
- Enable tests

* Tue Feb  7 2006 Arnaud Patard <apatard@mandriva.com> 0.43-1mdk
- New version

* Thu Aug  4 2005 Arnaud Patard <apatard@mandriva.com> 0.42-1mdk
- New version

* Tue May  3 2005 Arnaud Patard <apatard@mandriva.com> 0.40-1mdk
- New version (add trailing-whitespace check support in quilt refresh)
- Make rpmlint happy :)

* Wed Apr 13 2005 Arnaud Patard <apatard@mandriva.com> 0.39-1mdk
- First version. The spec file is nearly the same as the one shipped
  in the tarball
